import { API_PATH_LOGIN } from '@/constants';
import { request } from '@umijs/max';

export async function login(body: API.LoginRequestBody) {
  console.log('Login request body:', body);

  return request<API.LoginResponse>(API_PATH_LOGIN, {
    method: 'POST',
    data: body,
  });
}
